<div class="fheight d-flex align-center justify-center bg-blue-50">
  <v-card class="mx-auto rounded-md !shadow-lg"
    style="max-height: 768px; height: 100%; max-width: 1000px; width: 100%;">
    <v-row no-gutters class="h-full">
      <v-col cols="12" sm="6" class="d-none d-sm-block" style="width: 449px !important">
        <v-card class="overflow-hidden !shadow-none" height="100%">
          <div class="fheight">
            <img src="~/assets/images/auth/login.png" alt="" width="auto" height="auto" class="bg-auth">
          </div>
        </v-card>
      </v-col>
      <v-col cols="12" sm="6">
        <v-card class="elevation-0 pa-16 bg-blue-100 h-full ">
          <div class="h-full d-flex flex-col justify-between !flex-nowrap">
            <div v-if="!token">
              <div class="flex items-center">
                <v-icon color="#242A2E" @click="$router.push('/auth/login')">
                  mdi-arrow-left
                </v-icon>
                <p class="mb-0 ml-7 text-2xl font-semibold leading-8 text-neutral-900 text-center">
                  Forgot Password
                </p>
              </div>
              <div class="mt-6">
                <p class="mb-0 text-gray-500 text-sm">
                  Enter the email associated with your account and we will send you a link to reset your password.
                </p>
              </div>
              <div class="mt-6 rounded bg-[#E1EFFE] p-4 relative" v-if="isSend">
                <div class="absolute top-3 right-3">
                  <v-icon small @click="isSend = !isSend">
                    mdi-close
                  </v-icon>
                </div>
                <p class="mb-0 text-neutral-900 text-sm">
                  Link to reset password sent at {{email}}.
                </p>
              </div>
              <div class="mt-10" id="hideBottomInput">
                <p class="mb-0 text-sm text-gray-500">
                  Email
                </p>
                <v-text-field dense placeholder="Enter your email" outlined v-model="email"
                  @keyup.enter="onSendEmail()">
                </v-text-field>
              </div>
              <div class="mt-6">
                <v-btn color="#3887F1" block class="rounded-md elevation-0" @click="onSendEmail()" height="40px"
                  :disabled="loading">
                  <v-progress-circular indeterminate color="#fff" v-if="loading" size="22">
                  </v-progress-circular>
                  <p class="mb-0 text-white capitalize" v-else>Send Reset Password Email</p>
                </v-btn>
              </div>
              <div class="mt-6">
                <p class="mb-0  text-neutral-500 text-sm leading-5">
                  Already have an account? <span class="text-blue-500 cursor-pointer"
                    @click="$router.push('/auth/login')">
                    Login Now
                  </span>
                </p>
              </div>
            </div>
            <div v-if="token">
              <div v-if="!isCreateNewPassword">
                <div class="flex items-center">
                  <v-icon color="#242A2E" @click="$router.push('/auth/login')">
                    mdi-arrow-left
                  </v-icon>
                  <p class="mb-0 ml-7 text-2xl font-semibold leading-8 text-neutral-900 text-center">
                    Create New Password
                  </p>
                </div>
                <div class="mt-6">
                  <p class="mb-0 text-gray-500 text-sm">
                    Set new password for your PortOne Account.
                  </p>
                </div>
                <div class="mt-10" id="hideBottomInput">
                  <p class="mb-0 text-sm text-gray-500">
                    New Password
                  </p>
                  <v-text-field dense placeholder="Enter new password" outlined v-model="password"
                    @keyup.enter="onCreateNewPassword()" :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'"
                    :type="isHidePassword ? 'text' : 'password'" @click:append="isHidePassword = !isHidePassword">
                  </v-text-field>
                </div>
                <div class="mt-4" id="hideBottomInput">
                  <p class="mb-0 text-sm text-gray-500">
                    Confirm Password
                  </p>
                  <v-text-field dense placeholder="Enter confirm password" outlined v-model="confirmPassword"
                    @keyup.enter="onCreateNewPassword()"
                    :append-icon="isHidePasswordReEnterpassword ? 'mdi-eye' : 'mdi-eye-off'"
                    :type="isHidePasswordReEnterpassword ? 'text' : 'password'"
                    @click:append="isHidePasswordReEnterpassword = !isHidePasswordReEnterpassword">
                  </v-text-field>
                </div>
                <div class="mt-6">
                  <v-btn color="#3887F1" block class="rounded-md elevation-0" @click="onCreateNewPassword()"
                    height="40px" :disabled="loading">
                    <v-progress-circular indeterminate color="#fff" v-if="loading" size="22">
                    </v-progress-circular>
                    <p class="mb-0 text-white capitalize" v-else>Reset Password</p>
                  </v-btn>
                </div>
              </div>
              <div v-if="isCreateNewPassword">
                <div>
                  <p class="mb-0 ml-7 text-2xl font-semibold leading-8 text-neutral-900 text-center">
                    New password created!
                  </p>
                </div>
                <div class="mt-6 flex items-center justify-center">
                  <img src="~/assets/images/auth/welcome.png" alt="" width="200" height="200">
                </div>
                <div class="mt-6">
                  <p class="mb-0 text-gray-500 text-sm text-center">
                    Login now with your new password
                  </p>
                </div>
                <div class="mt-6">
                  <nuxt-link to="/auth/login">
                    <v-btn color="#3887F1" block class="rounded-md elevation-0" height="40px">
                      <p class="mb-0 text-white capitalize">Login</p>
                    </v-btn>
                  </nuxt-link>
                </div>
              </div>
            </div>
          </div>
        </v-card>
      </v-col>
    </v-row>
  </v-card>
</div>
